@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

a {
	text-decoration: none;
	color: initial;
}

.main__logo {
	display: flex;
	align-items: center;
	justify-content: center;
}

.main__logo img {
	width: 2rem;
}

.main__logo span {
	font-size: 1.3rem;
	font-weight: 500;
	color: #1877f2;
	padding-left: 0.1rem;
}

body,
input {
	font-family: 'Roboto', sans-serif;
}

body {
	min-height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	background-color: #eee;
	background-image: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
}

.container {
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

.h1 {
	color: #1877f2;
	font-weight: bold;
	font-size: 3rem;
}

.h1:hover {
	color: #126bdf;
	font-weight: bold;
	font-size: 3rem;
}

.login__form {
	margin-top: 2rem;
	display: flex;
	flex-direction: column;
	width: 20rem;
	padding: 1rem;
	border-radius: 0.5rem;
	background-color: white;
	box-shadow: 1px 1px 10px 1px;
	margin-bottom: 1rem;
}

input {
	margin: 0.5rem 0;
	height: 3rem;
	padding: 0.5rem;
	font-size: 1.1rem;
	font-weight: 400;
}

.button {
	height: 3rem;
	margin: 0.5rem 0;
	background-color: #1877f2;
	color: #fff;
	border: none;
	border-radius: 0.5rem;
	font-weight: bold;
	font-size: 1.3rem;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
}

.button:hover {
	background-color: #126bdf;
}

.forgot__password {
	font-size: 1rem;
	text-decoration: none;
	color: #1877f2;
}

.forgot__password:hover {
	text-decoration: underline;
}

hr {
	margin-top: 1rem;
	margin-bottom: 1rem;
}

.create {
	background-color: #42b72a;
	font-size: 1rem;
}

.create:hover {
	background-color: green;
}

.exit {
	background-color: #fd1720;
}

.exit:hover {
	background-color: #7a070b;
}

/* МОДАЛЬНОЕ ОКНО */
.login__modal {
	position: fixed;
	inset: 0;
	background-color: hsla(0, 0%, 0%, 0.8);
	/* padding: 1rem; */
	display: flex;
	justify-content: center;
	align-items: center;
	visibility: hidden;
	z-index: 99999999;
}

.modal-content {
	position: relative;
	background-color: #fff;
	padding: 4.5rem 1.5rem 2.5rem;
	width: 20rem;
	border-radius: 0.5rem;
}

.modal-title,
.modal-subtitle {
	text-align: center;
}

.modal-title {
	font-size: 4rem;
	color: #1877f2;
	margin-bottom: 0rem;
	font-weight: 800;
}

.modal-subtitle {
	font-size: 1rem;
	font-weight: 500;
	color: #1877f2;
	margin-bottom: 1rem;
}

.modal-close {
	position: absolute;
	top: 1.5rem;
	right: 1.5rem;
	font-size: 1.5rem;
	color: #fd1720;
	cursor: pointer;
}

/*Active modal*/
.active-modal {
	opacity: 1;
	visibility: visible;
}

/* forgot MODAL */
.forgot-modal-content {
	position: relative;
	background-color: #fff;
	padding: 4.5rem 1.5rem 2.5rem;
	width: 22rem;
	border-radius: 0.5rem;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.forgot-modal-content input {
	width: 19rem;
}

.forgot-modal-content button {
	width: 19rem;
}

/* шапка и выпадающее меню */
.dd__container {
	position: absolute;
	top: 0;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: space-around;
	padding: 0.3rem;
}

.dropdown {
	position: relative;
	width: max-content;
}

.dropdown__button,
.dropdown__item {
	display: flex;
	align-items: center;
	column-gap: 0.5rem;
	overflow: hidden;
}

.dropdown__button {
	border: none;
	outline: none;
	background-color: #fff;
	border-radius: 0.75rem;
	cursor: pointer;
	width: max-content;
	padding: 0.1rem 1rem 0.1rem 1rem;
}

.dropdown__btn__name {
	color: black;
	font-weight: 600;
	font-size: 0.8rem;
}

.dropdown__icon,
.dropdown__icons {
	font-size: 1.25rem;
	color: #1877f2;
}

.dropdown__icons {
	width: 1.5rem;
	height: 1.5rem;
	display: grid;
	place-items: center;
}

.dropdown__arrow,
.dropdown__close {
	position: absolute;
	transition: opacity 0.1s, transform 0.4s;
}

.dropdown__close {
	opacity: 0;
}

.dropdown__menu {
	background-color: #fff;
	padding: 1rem 1.25rem;
	border-radius: 0.75rem;
	display: grid;
	row-gap: 1.5rem;
	position: absolute;
	width: 100%;
	right: 0;
	top: 2rem;
	transform: scale(0.1);
	transform-origin: 8rem -2rem;
	pointer-events: none;
	transition: opacity 0.4s, transform 0.4s;
	opacity: 0;
}

.dropdown__item {
	cursor: pointer;
	transition: color 0.3s;
	font-size: 0.8rem;
	font-weight: 500;
}

.dropdown__item:hover {
	color: #126bdf;
}

.show-dropdown .dropdown__close {
	opacity: 1;
	transform: rotate(-180deg);
}

.show-dropdown .dropdown__arrow {
	opacity: 0;
	transform: rotate(-180deg);
}

.show-dropdown .dropdown__menu {
	opacity: 1;
	transform: scale(1);
	pointer-events: initial;
}

.user__email {
	width: 100%;
	text-align: center;
	color: gray;
	padding-bottom: 0.5rem;
	border-bottom: 2px solid gray;
	font-size: 0.6rem;
}

/* SETTING */
.setting_img {
	border: 1px solid black;
	margin: 0.5rem;
}

.setting__title {
	color: #126bdf;
	font-size: 2rem;
	font-weight: 600;
	/* margin-top: 1rem; */
}

.select {
	margin: 0.5rem 0;
	height: 3rem;
	padding: 0.5rem;
	font-size: 1.1rem;
	font-weight: 400;
	background-color: #fff;
}

.textarea {
	margin: 0.5rem 0;
	/* height: 3rem; */
	padding: 0.5rem;
	font-size: 1.1rem;
	font-weight: 400;
	background-color: #fff;
}

.input-file-row {
	display: inline-block;
}
.input-file {
	position: relative;
	display: inline-block;
}
.input-file span {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	outline: none;
	text-decoration: none;
	font-size: 1rem;
	font-weight: 500;
	vertical-align: middle;
	color: #fff;
	text-align: center;
	border-radius: 0.5rem;
	background-color: #42b72a;
	width: 15rem;
	height: 3rem;
	padding: 1rem 2rem;
	box-sizing: border-box;
	border: none;
	margin: 0;
	transition: background-color 0.2s;
}
.input-file input[type='file'] {
	position: absolute;
	z-index: -1;
	opacity: 0;
	display: block;
	width: 0;
	height: 0;
}

/* Hover/active */
.input-file:hover span {
	background-color: green;
}

/* Disabled */
.input-file input[type='file']:disabled + span {
	background-color: #eee;
}

/* Список c превью */
.input-file-list {
	padding: 1rem 0;
}
.input-file-list-item {
	display: inline-block;
	margin: 0 1rem 1rem;
	width: 15rem;
	vertical-align: top;
	position: relative;
}
.input-file-list-item img {
	width: 15rem;
}
.input-file-list-name {
	text-align: center;
	display: block;
	font-size: 1rem;
	text-overflow: ellipsis;
	overflow: hidden;
}
.input-file-list-remove {
	color: #ff0202;
	text-decoration: none;
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	padding: 0;
	margin: 0;
	top: 0.1rem;
	right: 0.1rem;
	/* background: transparent; */
	/* width: 2.5rem;
	height: 2.5rem; */
	font-size: 2rem;
	text-align: center;
	border-radius: 50%;
}

.input-file-list-remove:hover {
	color: rgb(116, 37, 37);
}

/* ADDING PHOTOS */
.box-container {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: row;
	flex-wrap: wrap;
}

.box{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	border: 2px solid black;
}

.box-container .box {
	width: 15rem;
	margin: 1rem;
}

.box-container .box img {
	width: 100%;
	object-fit: contain;
}

.delete-btn{
	display: block;
	background-color: #ff0202;
	padding: .5rem;
	margin: .5rem;
	width: 7rem;
	text-align: center;
	color: #fff;
	font-weight: 600;
	border-radius: .5rem;
}

.delete-btn:hover{
	background-color: #a80909;
	
}